Checks if the object has a previous image

- « Gmagick::hasnextimage

- Gmagick::implodeimage »

- PHP Manual
- Gmagick
- Checks if the object has a previous image

# Gmagick::haspreviousimage

(PECL gmagick >= Unknown)

Gmagick::haspreviousimage — Checks if the object has a previous image

### Description

public Gmagick::haspreviousimage(): mixed

Returns `true` if the object has more images when traversing the list in the reverse direction.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the object has more images when traversing the list in the reverse direction, returns `false` if there are none.

### Errors/Exceptions

Throws an GmagickException on error.